Fix a seg-fault in the RAID-1 region manager when getting the list of
plugin functions.

Apply with:
cd /usr/src/evms-2.1.1/
patch -p1 < raid1_mgr.c.patch
make
make install

--- a/plugins/md/raid1_mgr.c	2003-10-06 09:06:19.000000000 -0500
+++ b/plugins/md/raid1_mgr.cc	2003-10-06 09:08:08.000000000 -0500
@@ -2736,10 +2736,6 @@
 
 	LOG_ENTRY;
 	
-	if (!raid1_can_change_region_configuration(object))
-		RETURN(EBUSY);
-
-
 	/*
 	 * If object is NULL, that means the user is asking for plug-in
 	 * functions on the plug-in.  We don't have any plug-in functions that
@@ -2749,6 +2745,10 @@
 		RETURN(ENOSYS);
 	}
 
+	if (!raid1_can_change_region_configuration(object)) {
+		RETURN(EBUSY);
+	}
+
 	volume = (md_volume_t *) object->private_data;
 
 	fia = EngFncs->engine_alloc(sizeof(function_info_array_t) + sizeof(function_info_t) * (MD_RAID1_FUNCTION_COUNT - 1));
